Bug 2236866 - Review Request: rust-gix-attributes - Gix implemenation for handling git attributes files
Summary: Review Request: rust-gix-attributes - Gix implemenation for handling git attr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-01 20:13 UTC by blinxen
Modified: 2023-09-17 18:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-17 18:41:07 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description blinxen 2023-09-01 20:13:19 UTC
Spec URL: https://blinxen.fedorapeople.org/rust-gix-attributes/rust-gix-attributes.spec
SRPM URL: https://blinxen.fedorapeople.org/rust-gix-attributes/rust-gix-attributes-0.16.0-1.fc40.src.rpm

Description:
Gix implemenation for handling git attributes files.

Fedora Account System Username: blinxen

Comment 1 blinxen 2023-09-01 20:13:22 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=105629486

Comment 2 Fabio Valentini 2023-09-09 12:25:44 UTC
Error: 
 Problem: conflicting requests
  - nothing provides (crate(document-features/default) >= 0.2.1 with crate(document-features/default) < 0.3.0~) needed by rust-gix-attributes+document-features-devel-0.16.0-1.fc40.noarch from @commandline

You need to remove the document-features optional dependency, just like in most other gix packages.

Comment 4 Fabio Valentini 2023-09-17 12:22:21 UTC
Thanks, looks good to me.

===

Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT OR Apache-2.0) and is acceptable for Fedora
- license files are included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 5 Fedora Admin user for bugzilla script actions 2023-09-17 18:10:56 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-gix-attributes

Comment 6 Fedora Update System 2023-09-17 18:40:10 UTC
FEDORA-2023-51fd6e136b has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-51fd6e136b

Comment 7 Fedora Update System 2023-09-17 18:41:07 UTC
FEDORA-2023-51fd6e136b has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.